Skip to main content

APIKey Info

This endpoint configures the IP whitelist for a specified API Key. After configuration, only IP addresses on the whitelist can use this API Key to send requests.

HTTP Request

  • POST /api/v3/apiKeyInfo

Required Permission: SPOT_ACCOUNT_WRITE

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
apikeystringyesapikey
ipWhiteListstringyesLink IP addresses, separate with commas if more than one. Support up to 20 addresses. Optional (add/overwrite).
notestringnonote
timestampstringyestimestamp
signaturestringyessignature

Response Parameters

NameTypeDescription
notestringAPIKey note
apikeystringAPI public key
ipWhiteListstringLinked IP addresses of the APIKey

Response

{
"note": "note2",
"apikey": "mx0npKfh57kEEVmyLa",
"ipWhiteList": "162.133.62.1"
}